[**@rxap/environment v19.1.0**](../README.md)

***

[@rxap/environment](../globals.md) / ProvideEnvironment

# Function: ProvideEnvironment()

> **ProvideEnvironment**(`environment`): `object`

Defined in: [provide-environment.ts:4](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/environment/src/lib/provide-environment.ts#L4)

## Parameters

### environment

[`Environment`](../interfaces/Environment.md)

## Returns

`object`

### provide

> **provide**: `InjectionToken`\<[`Environment`](../interfaces/Environment.md)\> = `RXAP_ENVIRONMENT`

### useValue

> **useValue**: [`Environment`](../interfaces/Environment.md) = `environment`
